package de.hhu.phil.smt.lm;

import java.io.FileNotFoundException;

public class Uebung2 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			// Build a bigram language model from given training data
			BigramModel lm = new BigramModel("data/train.de.tok.50.h1000");

			// Print the probability that the bigram language model assigns
			// to this test sentence.
			String test ="Man muß diese Abhängigkeiten schaffen .";
			double p = lm.score(test);
			System.out.println(test + "  " + p);
			
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}

	}

}
