package de.hhu.phil.smt.misc;


import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

import de.hhu.phil.smt.SMT;

/*
 * Class that represents the translation co-occurrences required for
 * Uebung 1 of the SMT class.
 */
public class TransCooc {
	
	// TODO
	// Think of a data structure to save your co-occurrence data.
	// Put an instance of this data structure here as a member variable.

	/*
	 * Constructor: Reads data from fileForeign and fileEnglish. The files
	 * must contain sentence aligned text, one sentence per line.
	 * TODO: Implement addToCooc that fills your data structure.
	 */
	public TransCooc(String fileForeign, String fileEnglish) throws FileNotFoundException {

		Scanner inputF = new Scanner(new File(fileForeign));
		Scanner inputE = new Scanner(new File(fileEnglish));
		String foreign = "";
		String english = "";
		int c = 0;
		while (inputF.hasNextLine() && inputE.hasNextLine()) {
			foreign = inputF.nextLine();
			english = inputE.nextLine();
			c++;
			//System.out.println(foreign);
			//System.out.println(english);
			
			addToCooc(foreign,english); // -> your task
		}
		
		inputF.close();
		inputE.close();
		System.out.println("Number of read sentence pairs: " + c);
	}

	/*
	 * Fill the co-occurrence data structure
	 */
	private void addToCooc(String foreign, String english) {
		
		// Tokenize the sentence into words
		String[] toksF = SMT.tokenizeWS(foreign);
		String[] toksE = SMT.tokenizeWS(english);
		
		// TODO		
	}

	/*
	 * Print the number of translation co-occurrences that were found
	 */
	public void printSize() {
		// TODO
	}

}
